Package com.trilead.ssh2.packets

# Class TypesWriter

java.lang.Object
com.trilead.ssh2.packets.TypesWriter

public class TypesWriter extends Object
TypesWriter.

## Constructor Summary

Constructors
Constructor
Description
`TypesWriter()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`void`
`getBytes(byte[] dst)`
`int`
`length()`
`void`
`writeBoolean(boolean v)`
`void`
`writeByte(int v)`
`void`
`writeByte(int v, int off)`
`void`
`writeBytes(byte[] buff)`
`void`
`writeBytes(byte[] buff, int off, int len)`
`void`
`writeMPInt(BigInteger b)`
`void`
`writeNameList(String[] v)`
`void`
`writeString(byte[] buff, int off, int len)`
`void`
`writeString(String v)`
`void`
`writeString(String v, String charsetName)`
`void`
`writeUINT32(int val)`
`void`
`writeUINT32(int val, int off)`
`void`
`writeUINT64(long val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypesWriter

public TypesWriter()

## Method Details

### length

public int length()

### getBytes

public byte[] getBytes()

### getBytes

public void getBytes(byte[] dst)

### writeUINT32

public void writeUINT32(int val, int off)

### writeUINT32

public void writeUINT32(int val)

### writeUINT64

public void writeUINT64(long val)

### writeBoolean

public void writeBoolean(boolean v)

### writeByte

public void writeByte(int v, int off)

### writeByte

public void writeByte(int v)

### writeMPInt

public void writeMPInt(BigInteger b)

### writeBytes

public void writeBytes(byte[] buff)

### writeBytes

public void writeBytes(byte[] buff, int off, int len)

### writeString

public void writeString(byte[] buff, int off, int len)

### writeString

public void writeString(String v)

### writeString

public void writeString(String v, String charsetName) throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`

### writeNameList

public void writeNameList(String[] v)